.\" -*-nroff-*-
.\"
.\"This file is part of xradio - Copyright (C) 1996 Pat Thoyts
.\"
.TH XRADIO 1 LOCAL "10 Dec 1996" "Local Programs Manual"
.ad b
.SH NAME
radio - a text mode interface to the Reveal radio card.
.br
xradio - an X window system interface to the radio card.
.SH SYNOPSIS
.B radio
-[\fIhv\fP] [\fI10+-\fP] -[\fImu\fP] -[\fIfs\fP] <frequency>
.br
.B xradio
[
.I Xt options
]
.SH DESCRIPTION
.B radio
and
.B xradio
are, respectively, a text mode interface and a X window
interface to the Reveal FM Stereo Radio card. This is an FM
radio receiver built into an 8 bit ISA card. The output goes from a
socket on the back of the card to your sound card or another
amplifier. It's basically a gadget for those who like gadgets!

The text interface was built first when I wanted to switch on the
computer and have the radio come on under linux, without using dosemu
to get it going. Type `\fIradio --help\fP' to see how it works. If you
have a particular station you want as the default, you can change the
.I reveal.h
header and adjust
.I RADIO_DEFHz.

.SH OPTIONS
The following options are accepted by 
.B radio
(long and short options):
.TP
.I --help -h
display usage information.
.TP
.I
--usage
.TP
.I  --version -v
print the program version number.
.TP
.I --on 1
switch the device on.
.TP
.I --off 0
turn the radio off.
.TP
.I --louder +
turn up the volume.
.TP
.I --quieter -
lower the volume.
.TP
.I --mute -m
mute the radio.
.TP
.I --unmute -u
stop muting the radio.
.TP
.I --set <freq> -s <freq>
.TP
.I --frequency <freq>
tune radio to the given frequency    

.SH APPLICATION RESOURCES
The \fBxradio\fP program accepts resources using the class name XRadio
.TP
.B simpleInterface\fP (Class \fBBoolean\fP)
Mostly for testing purposes but also because I can see a vague use for it
there is a simple and a complex interface. The fun one is the more complex
interface, but you can use the simple one by setting this resource to true.
.TP
.B defaultStation\fP (Class \fBStation\fP)
This is the default radio station (see below). If this is set then this
is what will be used. If there is only a name specified then we will search
through the other stations to find a matching frequency.
.TP
.B station\fP[\fI1-10\fP]  (Class \fBStation\fP)
This sets the station resource for each slot 1 to 10. They are named station1
to station10. I should have set this up to dynamically add buttons according
to the number of station resources, but maybe later.
.TP
.B useBitmaps\fP (Class \fBBoolean\fP)
This specifies the use of X bitmaps (or Xpm pixmaps if Xpm support was
compiled in) for those buttons (currently the Mute button) which have a
picture associated with them.
.TP
.B muteBitmap\fP (Class \fBPixmap\fP)
The X bitmap or Xpm pixmap to use when the radio is muted.
.TP
.B unmuteBitmap\fP (Class \fBPixmap\fP)
The X bitmap or Xpm pixmap to use when the radio is \fInot\fP muted.
.TP
.B coarseStep\fP (Class \fBFloat\fP)
.B fineStep\fP (Class \fBFloat\fP)
The step in frequency to use for the coarse and fine adjustment
buttons. The default is 0.500 Hz for the coarse adjustment and
0.025 Hz for the fine tuning.
.P
You can also, in the interests of internationalisation, change
the labels on all the buttons shown.
.P
A String to Station resource converter gets registered. Station resources
are of the form
.br
	\fIFrequency\fP(MHz) \fIName\fP
.br
eg:	*station1:	98.889 Radio 1
.br
	*station2:	94.900
.br
The station name is anything excluding whitespace after the frequency
number or, if the initial word isn't a number, the whole string. The name
will appear on the station buttons as the label and when clicked the button
will set the radio frequency to the desired station.

.SH FILES
See the default resource file XRadio.ap for hints on useful resource
settings.

.SH SEE ALSO
\fBradio\fP(1), \fBxradio\fP(1)

.SH BUGS
The frequency box doesn't expand to accommodate longer station names.
.br
There is no way of automatically saving a new frequency from the program.
We ought to be able to save frequencies without resorting to making the user
edit their .Xresources file. On the other hand, it's a lot of trouble.
.br
Reading from the radio card doesn't work yet and until it does so we can't
do a scan of frequencies to automatically find the next station. Bah!

.SH AUTHOR
Pat Thoyts (thoyts@bsa.bristol.ac.uk)
.sp
This program is Copyright (C) 1995 Pat Thoyts, but subject to the
.B GNU Public Licence.
See \fBREADME\fP for the program notice, and the
accompanying file 
.B Copying
for more information about the
.B GNU Public Licence\fP.

